Package org.apache.commons.io.output

# Class FileWriterWithEncoding.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<FileWriterWithEncoding,FileWriterWithEncoding.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<FileWriterWithEncoding,FileWriterWithEncoding.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<FileWriterWithEncoding,FileWriterWithEncoding.Builder>
org.apache.commons.io.output.FileWriterWithEncoding.Builder

All Implemented Interfaces:
  `IOSupplier<FileWriterWithEncoding>`

Enclosing class:
  `FileWriterWithEncoding`

public static class FileWriterWithEncoding.Builder extends AbstractStreamBuilder<FileWriterWithEncoding,FileWriterWithEncoding.Builder>
Builds a new `FileWriterWithEncoding`.

Using a CharsetEncoder:

     FileWriterWithEncoding w = FileWriterWithEncoding.builder()
       .setPath(path)
       .setAppend(false)
       .setCharsetEncoder(StandardCharsets.UTF_8.newEncoder())
       .get();

Using a Charset:

     FileWriterWithEncoding w = FileWriterWithEncoding.builder()
       .setPath(path)
       .setAppend(false)
       .setCharsetEncoder(StandardCharsets.UTF_8)
       .get();

Since:
  2.12.0
See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `FileWriterWithEncoding`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileWriterWithEncoding`
  `get()`
  Builds a new `FileWriterWithEncoding`.
  `FileWriterWithEncoding.Builder`
  `setAppend(boolean append)`
  Sets whether or not to append.
  `FileWriterWithEncoding.Builder`
  `setCharsetEncoder(CharsetEncoder charsetEncoder)`
  Sets charsetEncoder to use for encoding.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `FileWriterWithEncoding`.

- ## Method Details

  - ### get

    public FileWriterWithEncoding get() throws IOException
    Builds a new `FileWriterWithEncoding`.

    You must set an aspect that supports `File` on this builder, otherwise, this method throws an exception.

    This builder uses the following aspects:

    - `File` is the target aspect.
    - `CharsetEncoder`
    - append
    Returns:
      a new instance.
    Throws:
      `UnsupportedOperationException` - if the origin cannot provide a File.
      `IllegalStateException` - if the `origin` is `null`.
      `IOException` - if an I/O error occurs converting to an `File` using `AbstractStreamBuilder.getFile()`.
    See Also:
      - `AbstractOrigin.getFile()`
      - `IOSupplier.getUnchecked()`

  - ### setAppend

    public FileWriterWithEncoding.Builder setAppend(boolean append)
    Sets whether or not to append.
    Parameters:
      `append` - Whether or not to append.
    Returns:
      `this` instance.

  - ### setCharsetEncoder

    public FileWriterWithEncoding.Builder setCharsetEncoder(CharsetEncoder charsetEncoder)
    Sets charsetEncoder to use for encoding.
    Parameters:
      `charsetEncoder` - The charsetEncoder to use for encoding.
    Returns:
      `this` instance.